Summary:	Minimize filesystem caching effects
Name:		nocache
Version:	1.1
Release:	1
License:	BSD
Group:		Base
Source0:	https://github.com/Feh/nocache/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	a9d37fb73036a02b0e910985dd9ed643
URL:		https://github.com/Feh/nocache
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The nocache tool tries to minimize the effect an application has on
the Linux file system cache. This is done by intercepting the open and
close system calls and calling posix_fadvise with the
POSIX_FADV_DONTNEED parameter. Because the library remembers which
pages (ie., 4K-blocks of the file) were already in file system cache
when the file was opened, these will not be marked as "don't need",
because other applications might need that, although they are not
actively used (think: hot standby).

Use case: backup processes that should not interfere with the present
state of the cache.

%prep
%setup -q

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS+="%{rpmcppflags} %{rpmcflags}" \
	LDFLAGS+="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	PREFIX= \
	LIBDIR=%{_libdir} \
	BINDIR=%{_bindir} \
	MANDIR=%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/cachedel
%attr(755,root,root) %{_bindir}/cachestats
%attr(755,root,root) %{_bindir}/nocache
%attr(755,root,root) %{_libdir}/nocache.so
%{_mandir}/man1/cachedel.1*
%{_mandir}/man1/cachestats.1*
%{_mandir}/man1/nocache.1*
%changelog
* Sun Jan 06 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nocache.git;a=log;h=master

* Sun Jan 06 2019 Elan Ruusamäe <glen@pld-linux.org> b6b9f4b
- up to 1.1

* Wed Oct 24 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 624e2cb
- initial

